/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once
#include "Rocket.hpp"

namespace hny 
{

	class TargetRocket :
		public hny::Rocket
	{
	public:
		TargetRocket(World* world, const hgeVector& position, const hgeVector& velocity, int score, const hgeParticleSystemInfo& info, const hgeVector& target);
		virtual ~TargetRocket();

		virtual void Update(float dt);

	private:
		hgeVector mTarget;

		float mPrevDistance;
	};

}